DO
$$
    DECLARE
        _path character varying(256) := 'patch-2025_12_04-Roles_Origin';
    BEGIN
        IF EXISTS (SELECT 1 FROM public."Versions" WHERE "Path" = _path) THEN
            RETURN;
        END IF;

        IF EXISTS (SELECT 1 FROM public."Versions" WHERE "Build" >= 15764) THEN
            RETURN;
        END IF;

        BEGIN
             ALTER TABLE public."Roles"
                ADD COLUMN IF NOT EXISTS "Origin" INTEGER NOT NULL DEFAULT 0;

            INSERT INTO public."Versions" ("Path", "Build") VALUES (_path, 0);

        EXCEPTION
            WHEN OTHERS THEN
                RAISE NOTICE '[ERR] %: %', _path, SQLERRM;
        END;

    END;
$$;
